summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAlan Coopersmith <alan.coopersmith@oracle.com>2014-05-31 21:39:32 -0700
committerAlan Coopersmith <alan.coopersmith@oracle.com>2014-06-02 22:17:47 -0700
commit65fedb9ea217134a842b7b34cf425c24ca6ca3b7 (patch)
treea3d71824000a392e7b4dbf2291c636c0d504728a
parent2ab7d664354275f5d6b58276c0f3f959d6f6ff17 (diff)
autogen.sh: Honor NOCONFIGURE=1
See http://people.gnome.org/~walters/docs/build-api.txt Also includes support for builds outside $srcdir as found in most other X.Org autogen.sh files. Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
-rwxr-xr-xautogen.sh13
1 files changed, 12 insertions, 1 deletions
diff --git a/autogen.sh b/autogen.sh
index d68a142..fc34bd5 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -1,3 +1,14 @@
#! /bin/sh
+
+srcdir=`dirname $0`
+test -z "$srcdir" && srcdir=.
+
+ORIGDIR=`pwd`
+cd $srcdir
+
autoreconf -v --install || exit 1
-./configure "$@"
+cd $ORIGDIR || exit $?
+
+if test -z "$NOCONFIGURE"; then
+ $srcdir/configure "$@"
+fi